Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® World™ Development

Reply
Contributor
thepaolo
Posts: 22
Registered: ‎06-16-2011
My Device: BlackBerry Bold 9700
Accepted Solution

Pre-Populate Supported Devices when submitting to App World?

Hi,

 

My application is compatible with all BBOS5+ devices, but each time I release an update I need to re-check all of the supported device options on the Vendor Portal.  Is there a way of including this information in the bundle?  What would happen if I selected 0 devices?

 

Additionally,  can users on devices running an unsupported (older) OS see/download my app if I've selected a minimum OS requirement?

 

 

Thanks,

 

Paul

Developer
QuiteSimple
Posts: 1,452
Registered: ‎11-06-2009
My Device: Torch 9810

Re: Pre-Populate Supported Devices when submitting to App World?


thepaolo wrote:

1)  Is there a way of including this information in the bundle?  

 

2) What would happen if I selected 0 devices?

 

3) Additionally,  can users on devices running an unsupported (older) OS see/download my app if I've selected a minimum OS requirement?

 

 


1) No way, unfortunately

 

2) You must select at least 1 device. In general if you select one device, only the users with that device will see your app.

 

3) No. App World serves your app based on minimum OS and selected devices.

Example: you select OS5.0 as minimum supported and all devices - only users with OS5.0 devices will see your app

 

 



"When you become a level 3 developer, you learn to communicate over the ether. I'm told that level 5 developers are ascend into a higher level of existence beyond the physical realm." gord888 @ crackberry
Developer
ITFCJim
Posts: 68
Registered: ‎01-20-2011
My Device: Bold 9900 + Dev Alpha B + PlayBook

Re: Pre-Populate Supported Devices when submitting to App World?

You can include a devices.txt file in your release bundle ZIP file, but I've never managed to get it to work!

 

http://docs.blackberry.com/en/developers/deliverables/25819/Options_for_a_zip_file_for_a_release_664...

 

The documentation used to say if you didn't include a devices.txt file, all devices would be selected. As you've found out, this isn't the case (no devices are selected). This has now been removed from the docs - it would be handy though (I tend to specify a minimum OS version for my apps then have to select all devices manually)

-----------------------------------------------------------------------------------------------------
Help fellow forum users! Please remember to click "Like" on helpful posts.
If a post solves your problem click "Mark as solution"
New Developer
ianbowles
Posts: 13
Registered: ‎09-07-2008
My Device: Not Specified

Re: Pre-Populate Supported Devices when submitting to App World?

Devices.txt used to work, but stopped working when they updated the server beginning of January, as did the auto-selection of minimum OS from the zip file folder name. It's made uploading our releases a real pain. RIM, are you going to fix this?